## xrootconsole 0.3

=== Makefile ===
# vi:set ts=4 sw=4 et:
#
# Makefile
# xrootconsole
# Copyright (C) 1988,1999   Eric Youngblut & Bob Galloway
#
# $Id: Makefile,v 1.2 2000/03/04 02:13:36 bob Exp $
#
# 
###########################################################################
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
#
# The author of the original version of this software can be reached
# by e-mail at yngblut@cs.washington.edu.  The original version of
# this software can be found at http://www.cs.washington.edu/homes/yngblut/
#
# The author of the current version of this software can be reached
# by e-mail at bgallowa@wso.williams.edu.  The latest version of this
# software can be found at http://wso.williams.edu/~bgallowa/ 
#
###########################################################################

EXEC = xrootconsole
BINDIR = /usr/local/bin

VERSION = $(shell tag=$$(echo '$$Name: RELEASE-0_3 $$' | sed -e 's/\$$//g' -e 's/Name://g'); \
        if [ $$tag ]; \
            then echo $$tag; \
            else echo Bleeding Edge Version; \
        fi;)

CC = gcc
CPPFLAGS =

# for production
CFLAGS = -O2 -DNDEBUG -Wall "-DSTARTUP_MESSAGE=\"$(EXEC)-$(VERSION)\n\""
LDFLAGS = -s

# for testing
#CFLAGS = -g -Wall "-DSTARTUP_MESSAGE=\"$(EXEC)-$(VERSION)\n\""
#LDFLAGS = 

LIBS = -L/usr/X11R6/lib -lX11 -lutil

OBJS = main.o util.o


# targets -----------------------------------------------------------------

all: $(EXEC)

$(EXEC): $(OBJS) Makefile
	$(CC) $(LDFLAGS) $(OBJS) $(LIBS) -o $@

$(OBJS): %.o: %.c util.h Makefile

clean:
	rm -f *.o core *~
realclean:
	rm -f $(EXEC) *.o core *~

install: $(EXEC)
	cp $(EXEC) $(BINDIR)

## xrootconsole 0.5

=== Makefile ===
--- 
+++ 
@@ -4,7 +4,7 @@
 # xrootconsole
 # Copyright (C) 1988,1999   Eric Youngblut & Bob Galloway
 #
-# $Id: Makefile,v 1.2 2000/03/04 02:13:36 bob Exp $
+# $Id: Makefile,v 1.3 2001/12/19 09:48:51 bob Exp $
 #
 # 
 ###########################################################################
@@ -35,7 +35,7 @@
 EXEC = xrootconsole
 BINDIR = /usr/local/bin
 
-VERSION = $(shell tag=$$(echo '$$Name: RELEASE-0_3 $$' | sed -e 's/\$$//g' -e 's/Name://g'); \
+VERSION = $(shell tag=$$(echo '$$Name: RELEASE-0_5 $$' | sed -e 's/\$$//g' -e 's/Name://g'); \
         if [ $$tag ]; \
             then echo $$tag; \
             else echo Bleeding Edge Version; \
@@ -45,11 +45,11 @@
 CPPFLAGS =
 
 # for production
-CFLAGS = -O2 -DNDEBUG -Wall "-DSTARTUP_MESSAGE=\"$(EXEC)-$(VERSION)\n\""
+CFLAGS = -O2 -DNDEBUG -Wall "-DXROOTCONSOLE_VERSION=\"$(VERSION)\""
 LDFLAGS = -s
 
 # for testing
-#CFLAGS = -g -Wall "-DSTARTUP_MESSAGE=\"$(EXEC)-$(VERSION)\n\""
+#CFLAGS = -g -Wall "-DXROOTCONSOLE_VERSION=\"$(VERSION) (debug build)\""
 #LDFLAGS = 
 
 LIBS = -L/usr/X11R6/lib -lX11 -lutil

## xrootconsole 0.6

=== Makefile ===
--- 
+++ 
@@ -4,7 +4,7 @@
 # xrootconsole
 # Copyright (C) 1988,1999   Eric Youngblut & Bob Galloway
 #
-# $Id: Makefile,v 1.3 2001/12/19 09:48:51 bob Exp $
+# $Id: Makefile,v 1.4 2004/02/20 21:53:28 bob Exp $
 #
 # 
 ###########################################################################
@@ -34,8 +34,10 @@
 
 EXEC = xrootconsole
 BINDIR = /usr/local/bin
+MANFILE = xrootconsole.1
+MANDIR = /usr/local/share/man/man1
 
-VERSION = $(shell tag=$$(echo '$$Name: RELEASE-0_5 $$' | sed -e 's/\$$//g' -e 's/Name://g'); \
+VERSION = $(shell tag=$$(echo '$$Name: RELEASE-0_6 $$' | sed -e 's/\$$//g' -e 's/Name://g'); \
         if [ $$tag ]; \
             then echo $$tag; \
             else echo Bleeding Edge Version; \
@@ -45,11 +47,13 @@
 CPPFLAGS =
 
 # for production
-CFLAGS = -O2 -DNDEBUG -Wall "-DXROOTCONSOLE_VERSION=\"$(VERSION)\""
+CFLAGS = -O2 -DNDEBUG -Wall "-DXROOTCONSOLE_VERSION=\"$(VERSION)\"" \
+    -I /usr/X11R6/include
 LDFLAGS = -s
 
 # for testing
-#CFLAGS = -g -Wall "-DXROOTCONSOLE_VERSION=\"$(VERSION) (debug build)\""
+#CFLAGS = -g -Wall "-DXROOTCONSOLE_VERSION=\"$(VERSION) (debug build)\"" \
+    -I /usr/X11R6/include
 #LDFLAGS = 
 
 LIBS = -L/usr/X11R6/lib -lX11 -lutil
@@ -73,3 +77,4 @@
 
 install: $(EXEC)
 	cp $(EXEC) $(BINDIR)
+	cp $(MANFILE) $(MANDIR)

=== debian/changelog ===
xrootconsole (1:0.6-5) unstable; urgency=medium

  [ Helmut Grohne ]
  * Support DEB_BUILD_OPTIONS=nocheck. (Closes: #969751)

  [ Axel Beckert ]
  * Move packaging repo to Salsa and update Vcs-* headers
    accordingly. (Closes: #916870)
  * Bump debhelper compatibility level to 13.
    + Replace debian/compat with versioned dependency on debhelper-compat.
  * Bump debian/watch version to 4 and use HTTPS.
  * Stop mentioning "loco" in package description as it is no more
    available in Debian. Mention "grc" instead. Also replace alternative
    dependency on "logo" with "grc" — it was a typo of "loco" anyways.
  * Declare compliance with Debian Policy 4.6.0. (No changes needed.)
  * Update copyright years in debian/copyright. Thanks Lintian!
  * Add lintian overrides for very-long-line-length-in-source-file.

 -- Axel Beckert <abe@debian.org>  Wed, 27 Apr 2022 23:21:44 +0200

xrootconsole (1:0.6-4) unstable; urgency=medium

  [ Axel Beckert ]
  * Update debian/copyright, Homepage and Vcs-* headers to use https://.
  * Switch Vcs-Browser header to cgit based web interface.
  * Enable all hardening build flags.
  * Declare compliance with Debian Policy 4.1.1. (No changes needed.)
  * Switch to debhelper compatibility level to 10.
    + Update versioned debhelper build-dependency accordingly.
  * Update test to actually run all tests by using a timeout of 7 seconds
    for each test.
  * Add --ansi-color to test in 0009-ansi-color.patch (c.f. #858420)
  * Rewrite debian/copyright in machine-readable DEP-5 format.
  * Cleanup trailing whitespace in ancient debian/changelog entries.
  * Set "Rules-Requires-Root: no".
  * Extend upstream test script to make it suitable for build-time and
    as-installed testing — and use it for that.
    + Add xvfb and xauth as build-dependency.
    + Disable ping-based check.

  [ Julien Viard de Galbert ]
  * Update patch 0006-utf8.patch to fix compilation warning and potential bug
  * Add parsing for --ansi-colour in 0009-ansi-color.patch (c.f. #858420)
  * Rework patch to fix segfault if -bw has no parameter to generalize it to
    all parameters (fix a lot of potential other bugs)
  * Add a patch to report an error on unrecognized parameters (Closes:
    #858420)

 -- Axel Beckert <abe@debian.org>  Mon, 30 Oct 2017 02:57:03 +0100

xrootconsole (1:0.6-3) unstable; urgency=low

  * Apply wrap-and-sort
  * Bump Standards-Version to 3.9.4 (no changes)
  * Bump debhelper compatibility to 9
    + Update versioned debhelper build-dependency accordingly
  * Revamp debian/rules:
    + Remove commented helpers and obsolete targets
    + Use dh_install + debian/install instead of dh_installdirs +
      debian/dirs + manually calling install.
    + Use dh_auto_{build,clean}
    + Remove manual DEB_BUILD_OPTIONS handling
    + Make use dh_clean's implicit removals, no more call rm manually
    + Use debian/examples instead of dh_installexamples parameter
    + Finally switch to dh7 style debian/rules file
  * Update 0003-build-options.patch to work properly with dpkg-buildflags
  * Remove debian/menu so that it doesn't get installed again
    (c.f. #79923)
  * Add patch to fix segfault if -bw has no parameter (Closes: #716584)
  * Update 0006-utf8.patch to not segfault if given font cannot be found.
    + Refresh subsequent patches
  * Fixes the following lintian warnings:
    + vcs-field-not-canonical
    + debian-rules-missing-recommended-target
    + hardening-no-{relro,fortify-functions}
    + no-upstream-changelog

 -- Axel Beckert <abe@debian.org>  Sun, 14 Jul 2013 01:05:42 +0200

xrootconsole (1:0.6-2) unstable; urgency=low

  [ Axel Beckert ]
  * Add Julien Viard de Galbert as co-maintainer.

  [ Julien Viard de Galbert ]
  * Renamed patches and formated headers with gbp-pq style (DEP-3 compatible).
  * Add new patches to
    - support nautilus
    - ignore null char in strings read from input it was breaking the display
    - no sleep in event loop (Closes: #301137)
    - detect background changes (Closes: #60482)
  * Improved ANSI color patch.

 -- Julien Viard de Galbert <julien@vdg.blogsite.org>  Fri, 25 Feb 2011 17:16:30 +0100

xrootconsole (1:0.6-1) experimental; urgency=low

  * New Maintainer (Closes: #554099)
  * New upstream release (Closes: #301133)
  * Remove obsolete "local variables:" from changelog
  * Switch to source format 3.0 and split up patches by functionality
  * Add new patches to
    - support 8-bit characters in general (patch by by Miroslav Jezbera
      <jezberam@phoenix.inf.upol.cz>. Closes: #260255)
    - support multibyte character/UTF-8. Patch inspired by patch for
      #531036. Update package description accordingly.
    - support displaying ANSI colors. Based on patch from
      http://silicone.homelinux.org/2009/04/02/ansi-color-support-for-xrootconsole/.
      Suggest some ANSI log colorizer and update package description
      accordingly.
  * Fix several lintian warnings
    - [debian/control] old-fsf-address-in-copyright-file,
      copyright-should-refer-to-common-license-file-for-gpl, and
      copyright-without-copyright-notice (also updated download URL)
    - [debian/rules] debian-rules-ignores-make-clean-error
    - [debian/watch] debian-watch-file-is-missing
  * Fix dh_shlibs warning and don't link uselessly against libutil.
  * Bump debhelper compatibility to 7
    - debian/control: make dependency on debhelper versioned, add
      ${misc:Depends}
    - debian/manpages, debian/compat: added
    - debian/rules: replace dh_clean -k by dh_prep, dh_installmanpages by
      dh_installman install into debian/xrootconsole instead of
      debian/tmp.
  * Bump Standards-Version to 3.9.1:
    - [debian/control] Add Homepage field
    - [debian/control] Add Vcs-* fields
    - [debian/rules, debian/patches/build-options.diff] Add support for
      DEB_BUILD_OPTIONS (Closes: #438328)

 -- Axel Beckert <abe@debian.org>  Tue, 19 Oct 2010 03:27:46 +0200

xrootconsole (1:0.5-1.1) unstable; urgency=high



=== debian/control ===
Source: xrootconsole
Section: x11
Priority: optional
Maintainer: Axel Beckert <abe@debian.org>
Uploaders: Julien Viard de Galbert <julien@vdg.blogsite.org>
Standards-Version: 4.6.0
Build-Depends: debhelper-compat (= 13),
               libx11-dev,
               xauth,
               xvfb <!nocheck>
Homepage: https://sourceforge.net/projects/xrootconsole/
Vcs-Git: https://salsa.debian.org/debian/xrootconsole.git
Vcs-Browser: https://salsa.debian.org/debian/xrootconsole
Rules-Requires-Root: no

Package: xrootconsole
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Suggests: ccze | grc
Description: Fancy X console display
 Xrootconsole redirects its input to a transparent (and optionally
 shaded) window on the root window. It supports displaying UTF-8 and
 ANSI-colors, e.g. those generated with "ccze -A" or "grc".

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS=hardening=+all

%:
	dh $@

override_dh_installchangelogs:
	dh_installchangelogs NEWS

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	xvfb-run ./test
endif

# Empty target
override_dh_auto_install:

=== debian/watch ===
version=4
https://sf.net/xrootconsole/xrootconsole-(.+)\.tar\.gz

## xrootconsole 990119

=== Makefile ===
TARGET = xrootconsole
BINDIR = /usr/local/bin

CC = gcc
CPPFLAGS =
CFLAGS = -O2 -DNDEBUG -Wall "-DSTARTUP_MESSAGE=\"xrootconsole-990119\n\""
LDFLAGS = -s
LIBS = -lX11 -lutil
OBJS = console.o main.o util.o

all: $(TARGET)

$(TARGET): $(OBJS)
	$(CC) $(LDFLAGS) $(OBJS) $(LIBS) -o $@

clean:
	rm -f $(TARGET) *.o core *~

console.o: console.h
main.o: console.h util.h
util.o: util.h
